Dimension origin points - stop from plotting

Hi,does anyone know how to stop the origin points of dimensions from plotting in Bricscad. Currently using version 8.2.11 and can't seem to find a setting for it?Thanks in advance, Nathaniel

Comments

  • I am back to using v7, but never noticed that to be a problem.Aren't the points almost always obscured by landing on the dimensioned entity?Architectural dimensions are the only instance I have seen with the dim lines finishing away from the object (and aren't they a pain to read).

  • These should be on the defpoints layer, which is normally set to not plot. Check the layer settings to make sure this layer is set to "no plot".

  • Thanks for the replies.The defpoints layer is set to 'no plot', the dimensions are on a layer which is set to plot (layer DIM-25). This problem happens when plotting from both model space and paper space.The dim lines need to finish away from the object (rather than landing on the dimensioned entity) so as to prevent obscuring the text of another dimension.The drawing has been created in Bricscad. When I open the .dwg file in AutoCAD the origin points don't plot.Any ideas?

  • Nathaniel, I just tried it and found that the origin points do print, as you said. I never knew that, because I never had a dimension origin point that wasn't on some geometric object. It's hard to think of a situation where that would happen.Can you put your origin points on the object being dimensioned, and increase Ext Line Offset to get the clearance you want? Either in the Properties palette for one dimension, or in the Dimension Style definition if you want them all to be like that.

  • Thanks Anthony,That's a workaround but somewhat tedious for multiple dimensions. Also, if the dimensions are on an object that does not plot as black (eg. grey or coloured) and the dimension layer was set to print as black then you would end up with black dots at the origin points.For now will plot with ACAD but hopefully this is something that can be altered in future versions?

  • Would it help to have a command that changes the extension line offset by picking the origin and the place where you want the extension line to start, instead of scrolling down through the long list of dimension properties?

    ;;; --- Sub-routine to assign a value to a property of each entity in a Set:;;; --- Arguments: ProcSet, PropName, PropValue;;; ----------------------------------------------------------------(defun PutPropertyInSet (ProcSet PropName PropValue /)(setq Ctr -1) (repeat (sslength ProcSet) (setq Ctr (1+ Ctr))(setq Ent1 (ssname ProcSet Ctr) )(vlax-put-property (vlax-ename->vla-object Ent1) Propname PropValue) )) ;; ----------------------------------------------------------------;;; --- Command to change Ext Line Offset of selected dimensions,;;; --- by entering a distance or picking two points.(defun c:DX ()(princ "Select entities to assign Ext Line Offset to. ")(setq PR (cons 0 "DIMENSION"))(setq ss1 (ssget (list PR)))(setq ExtOffDist0 ExtOffDist1)(if (equal ExtOffDist0 nil) (setq ExtOffDist0 0))(princ "Extension distance to assign <") (princ ExtOffDist0) (princ ">: ")(setq ExtOffDist1 (getdist))(if (equal ExtOffDist1 nil) (setq ExtOffDist1 ExtOffDist0))(PutPropertyInSet ss1 'ExtensionLineOffset ExtOffDist1)(command "redraw")) ;; ----------------------------------------------------------------
This discussion has been closed.